Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop.collection
Class CachedSetImpl

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet
              org.jboss.cache.aop.collection.CachedSetImpl

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

    public class CachedSetImpl

extends java.util.AbstractSet

Set that uses cache as a underlying backend store

Author:
  Ben Wang, Scott Marlow, Jussi Pyörre

Field Summary
`protected PojoCache` | `cache_`
`protected AbstractCollectionInterceptor` | `interceptor_`

Constructor Summary
`CachedSetImpl(PojoCache cache, AbstractCollectionInterceptor interceptor)`

Method Summary
`boolean` | `add(java.lang.Object o)`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`protected Fqn` | `getFqn()`
`protected DataNode` | `getNode()`
`java.util.Iterator` | `iterator()`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.AbstractSet
`hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, clear, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, clear, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Field Detail

### cache_

    protected PojoCache cache_

### interceptor_

    protected AbstractCollectionInterceptor interceptor_

Constructor Detail

### CachedSetImpl

    public CachedSetImpl(PojoCache cache,
                         AbstractCollectionInterceptor interceptor)

Method Detail

### getNode

    protected DataNode getNode()

### getFqn

    protected Fqn getFqn()

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.Set`
  Overrides:
    `add` in class `java.util.AbstractCollection`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.Set`
  Overrides:
    `contains` in class `java.util.AbstractCollection`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Collection`
  Specified by:
    `equals` in interface `java.util.Set`
  Overrides:
    `equals` in class `java.util.AbstractSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.